Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.ditto.live/llms.txt

Use this file to discover all available pages before exploring further.

Prerequisites

Ditto’s C++ Console App Quickstart supports Linux only. Before getting started, ensure you have the following:

Get Started

1. Clone the Repository

2. Configure Ditto

Get Ditto Database ID, Playground Token, Auth URL, and Websocket URL

Add Ditto Credentials

  1. Copy the .env.sample file at the top level of the quickstart repo to .env and add your app ID and online playground token.
    cp .env.sample .env
    
  2. Update the .env file with the Database ID and Playground Token from your Ditto Database
    DITTO_APP_ID="REPLACE_ME_WITH_YOUR_APP_ID"
    DITTO_PLAYGROUND_TOKEN="REPLACE_ME_WITH_YOUR_PLAYGROUND_TOKEN"
    DITTO_AUTH_URL="REPLACE_ME_WITH_YOUR_AUTH_URL"
    DITTO_WEBSOCKET_URL="REPLACE_ME_WITH_YOUR_WEBSOCKET_URL"
    
  1. Navigate to the sdk subdirectory of the project directory
    cd cpp-tui/taskscpp/sdk
    
  2. Download Ditto.tar.gz and unpack an archive containing the libditto.a static library and Ditto header.
    curl -O https://software.ditto.live/cpp-linux-x86_64/Ditto/4.12.0/dist/Ditto.tar.gz && tar xvfz Ditto.tar.gz
    

3. Run the Application

  1. Navigate back to the project directory
    cd ..
    
  2. Build the application
    make build
    
  3. Run the application
    ./build/taskscpp
    

4. Sync-Data Offline

Next Steps

All the Ditto Quickstart apps works together! Try running a quickstart app in other languages and see them all collaborate.

Additional Resources